/*************************************************
** tpro.h - Device driver include file for user & drivers
**
** Device Driver NASA IRTF
** 2680 Woodlawn Drive, Honolulu, HI, 96822
**
** Author: Tony Denault
**
*************************************************/
 
/* The tpro_tm_t is used to pass argument to tpro functions */
struct tproparms_t
{
   int  ret;            /* tpro returns error code */
 
   long yday;           /* days since jan. 1 0-365 */
   long hour;           /* hour     0 - 23   */
   long min;            /* minute   0 - 59   */
   long sec;            /* second   0 - 60   */
   long usec;           /* useconds          */
};
 
/* iocntl commands */
#define TPRO_GETTIME           (1)
#define TPRO_SETTIME           (2)
#define TPRO_TEST              (3)
#define TPRO_INTER_EVENT       (4)
#define TPRO_GETSTUFF          (5)

#define TPRO_WAIT_ON_50HZ      (6)
#define TPRO_WAIT_ON_10HZ_A    (7)
#define TPRO_WAIT_ON_10HZ_B    (8)
#define TPRO_WAIT_ON_10HZ_C    (9)
#define TPRO_WAIT_ON_10HZ_D   (10)
#define TPRO_WAIT_ON_5HZ      (11)
#define TPRO_SYNC_SEM         (12)

