#define EXTERN
#define MAIN   1
 
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <file.h>
#include <sys/types.h>
#include <fcntl.h>
#include <time.h>
#include <oscalls.h>
 
#include "/sys/drivers/tpro/tpro.h"

/*----------------------------------------
**  main()
**----------------------------------------
*/
int main( argc, argv)
   int  argc;
   char * argv[];
{
   int fdtpro, i;
   struct tproparms_t  tprop;
   struct timeval  tval;
   struct timezone tzone;
   struct tm *t;

   /* open device driver */
   if( (fdtpro = open("/dev/tpro", O_RDWR, 0x066)) < 0 )
   {
      printf("open(/dev/tpro) error\n");
      exit(0);
   }

   /*--------------------------------------
   **  Read time from PC 
   */
   gettimeofday( &tval, &tzone);
   t = gmtime( &tval.tv_sec);
   
   /* sleep to next second */
   i = 1000000 - tval.tv_usec;
   usleep( i );
   t->tm_sec += 1;
   /*--------------------------------------
   **  Set the Time.
   */
   tprop.yday = t->tm_yday;
   tprop.hour = t->tm_hour;
   tprop.min = t->tm_min;
   tprop.sec = t->tm_sec;

   ioctl( fdtpro, TPRO_SETTIME, (char*)&tprop );
   close( fdtpro );
   printf("Setting TPRO to %d %02d:%02d:%02d\n",
	   tprop.yday, tprop.hour, tprop.min, tprop.sec);
   return 0;

}

